Bug Hunting Session
Bug 107741 - UI: Table border toolbar: Difficult to see the difference between alternatives
Summary: UI: Table border toolbar: Difficult to see the difference between alternatives
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: needsUXEval
Depends on:
Blocks: Icon-Theme-Breeze
  Show dependency treegraph
 
Reported: 2017-05-10 01:56 UTC by Pablo AB
Modified: 2017-11-05 21:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Visual proposal for Borders menu (8.65 KB, image/png)
2017-05-12 18:25 UTC, Pablo AB
Details
writer border style on mouse hover (4.29 KB, image/png)
2017-05-31 21:40 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo AB 2017-05-10 01:56:13 UTC
Description:
At least on Ubuntu 16.04 LTS fresh install, create and select a table. If you try to change table border you will find with a menu very difficult to differentiate one from each other.

This screenshot show the problem pretty clear: http://i.imgur.com/n215L8C.png

Steps to Reproduce:
1. Create a table on LibreOffice Write
2. Select the table
3. On Table toolbar, press the Borders icon

Actual Results:  
A menu that on older versions (beside bug #66008) clearly diferntiates one alternative from each other to toogle the borders of the cells.

Expected Results:
Right now (at least Ubuntu 16.04) you find this: http://i.imgur.com/n215L8C.png
I use a 32" monitor and no need of glasses and is difficult for me to see which button toggle which border.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.96 Safari/537.36
Comment 1 Buovjaga 2017-05-12 17:32:05 UTC
So how should it look like? Please include a visual proposal (attach the image to this report).
Comment 2 Pablo AB 2017-05-12 18:25:38 UTC
Created attachment 133273 [details]
Visual proposal for Borders menu

After at the left, my proposal at the right.
Comment 3 Pablo AB 2017-05-12 18:26:39 UTC
Comment on attachment 133273 [details]
Visual proposal for Borders menu

Trying to be coherent with the new _flat_ design I suggest: http://i.imgur.com/yaCQ4OZ.png
I remove 3D borders and increase luminance of the inside gray from 70 to 82 (more contrast of the lines with the background).

At least maybe like [older versions](1) (the [border menu](2), the [Default area](3) of Table Format > Borders is also difficult to see).

[1](https://ask.libreoffice.org/en/question/19401/redesign-tool-for-borders-in-table-bar/?answer=19404#post-id-19404)
[2](http://ask.libreoffice.org/upfiles/1371813484111109.png)
[3](http://ask.libreoffice.org/upfiles/13718136389388698.png)
Comment 4 Heiko Tietze 2017-05-18 07:22:59 UTC
It depends on your icon theme. Oxygen icons have an indicator that is easy to identify. Breeze, however, might need some improvements. Andreas, please check this. 

Btw. There have been issues with these icons and dark themes reported and solved in bug 86472. Not sure if the solution is still true (running a bright Gtk theme atmo).
Comment 5 andreas_k 2017-05-31 21:40:20 UTC
Created attachment 133760 [details]
writer border style on mouse hover

I like your flat layout a lot.

attached is the tango icon theme (it's the second default theme in LibreOffice) do you know on mouse hover which border you will fill.

I can change the breeze icons, no problem, but the hover issue is still there. So if you can submitt a patch. I think it's very welcome.
Comment 6 Pablo AB 2017-06-01 01:58:25 UTC
I'm not a LibreOffice developer, I just file the bug. I don't understand the mouseover issue. 
On Ubuntu 16.04 fresh install I've installed only Breeze and Galaxy icon themes.
Looking at [this article][1]: I have libreoffice-gtk -gnome -style-breeze -style-galaxy packages installed, which make sense.
Installing and enabling Tango (or Galaxy) themes are workarounds.
For regular millions of people using default theme (Breeze, at least on Ubuntu) this fixed would be a great improvement.

[1](https://elementaryos.stackexchange.com/questions/1103/how-can-i-make-libreoffice-look-better)

BTW, this comments should be parsed with Markdown like Github or Stackoverflow.
Comment 7 Buovjaga 2017-06-01 07:56:05 UTC Comment hidden (off-topic)
Comment 8 Commit Notification 2017-08-29 16:45:45 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=72c8044fa19d6b93d4a37f35a838603ce537483c

tdf#107741 breeze-icon update for border style

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Pablo AB 2017-08-29 16:53:53 UTC Comment hidden (off-topic)
Comment 10 Xisco Faulí 2017-11-05 16:27:48 UTC
A polite ping to andreas kainz: is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Thanks
Comment 11 andreas_k 2017-11-05 21:17:46 UTC
sorry. the bug is fixed I changed the color to orange this  is better visible than black.